diff --git a/src/common/resources/lang/en_US/options.lang b/src/common/resources/lang/en_US/options.lang
index 98d7fd10d..0eb92ced8 100644
--- a/src/common/resources/lang/en_US/options.lang
+++ b/src/common/resources/lang/en_US/options.lang
@@ -87,6 +87,8 @@ options.mipmapType=Mipmap Type
 options.mipmapType.rough=Rough
 options.mipmapType.smooth=Smooth
 options.clouds=Clouds
+options.cloudHeight=Cloud Height
+options.cloudHeight.default=Default
 options.armorDurabilityOverlay=Armor Durability Overlay
 options.overlayShowCoords=Coordinates
 options.overlayShowDirection=Direction
diff --git a/src/main/java/net/minecraft/client/Minecraft.java b/src/main/java/net/minecraft/client/Minecraft.java
index 023043528..1165821aa 100644
--- a/src/main/java/net/minecraft/client/Minecraft.java
+++ b/src/main/java/net/minecraft/client/Minecraft.java
@@ -70,7 +70,7 @@ import net.minecraft.client.render.model.ModelBiped;
 import net.minecraft.client.render.shader.Shaders;
 import net.minecraft.client.render.shader.ShadersRenderer;
 import net.minecraft.client.render.stitcher.TextureRegistry;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.texturepack.TexturePackList;
 import net.minecraft.client.render.window.GameWindow;
 import net.minecraft.client.render.window.GameWindowLWJGL2;
@@ -565,7 +565,7 @@ public class Minecraft
         glTranslatef(0.0F, 0.0F, -2000F);
         glViewport(0, 0, resolution.width, resolution.height);
         glClearColor(0.0F, 0.0F, 0.0F, 0.0F);
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         glDisable(2896 /*GL_LIGHTING*/);
         glEnable(3553 /*GL_TEXTURE_2D*/);
         glDisable(2912 /*GL_FOG*/);
@@ -603,7 +603,7 @@ public class Minecraft
     {
         float scaleX = 0.00390625F;
         float scaleY = 0.00390625F;
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(minX + 0, minY + height, 0.0D, (float)(minU + 0) * scaleX, (float)(minV + height) * scaleY);
         tessellator.addVertexWithUV(minX + width, minY + height, 0.0D, (float)(minU + width) * scaleX, (float)(minV + height) * scaleY);
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityArrowGoldenFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityArrowGoldenFX.java
index 3e1cfbc54..0201a2fc8 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityArrowGoldenFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityArrowGoldenFX.java
@@ -1,11 +1,8 @@
 package net.minecraft.client.entity.fx;
 
 
-// Referenced classes of package net.minecraft.src:
-//            EntityFX, World, TessellatorStandard
-
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 
 public class EntityArrowGoldenFX extends EntityFX
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityDiggingFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityDiggingFX.java
index d49abce12..d6fb40119 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityDiggingFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityDiggingFX.java
@@ -3,12 +3,12 @@ package net.minecraft.client.entity.fx;
 import net.minecraft.client.render.LightmapHelper;
 
 // Referenced classes of package net.minecraft.src:
-//            EntityFX, Block, TessellatorStandard, World
+//            EntityFX, Block, Tessellator, World
 
 import net.minecraft.client.render.block.color.BlockColorDispatcher;
 import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityExplodeFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityExplodeFX.java
index 25da7d5be..05c1df4c3 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityExplodeFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityExplodeFX.java
@@ -4,7 +4,7 @@ import net.minecraft.client.render.stitcher.TextureRegistry;
 import net.minecraft.core.world.World;
 
 // Referenced classes of package net.minecraft.src:
-//            EntityFX, World, TessellatorStandard
+//            EntityFX, World, Tessellator
 
 public class EntityExplodeFX extends EntityFX
 {
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityFX.java
index 8e1a36204..95d7d8557 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityFX.java
@@ -1,15 +1,15 @@
 package net.minecraft.client.entity.fx;
 
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.stitcher.IconCoordinate;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.util.helper.MathHelper;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.world.World;
 
 // Referenced classes of package net.minecraft.src:
-//            Entity, MathHelper, TessellatorStandard, World,
+//            Entity, MathHelper, Tessellator, World,
 //            NBTTagCompound
 
 public class EntityFX extends Entity
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityFireflyFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityFireflyFX.java
index d774fde68..dfae0a923 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityFireflyFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityFireflyFX.java
@@ -1,9 +1,8 @@
 package net.minecraft.client.entity.fx;
 
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.animal.EntityFireflyCluster;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
@@ -99,7 +98,7 @@ public class EntityFireflyFX extends EntityFX
         super.renderParticle(t, partialTick, rotationX, rotationXZ, rotationZ, rotationYZ, rotationXY);
     }
 
-    public void renderParticleInGUI(TessellatorStandard t, float partialTick) {
+    public void renderParticleInGUI(Tessellator t, float partialTick) {
         float b = getInternalBrightness(partialTick);
         if (b < 0.5f)
         {
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityFlameFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityFlameFX.java
index 76c45f27e..86eded1c6 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityFlameFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityFlameFX.java
@@ -1,12 +1,9 @@
 package net.minecraft.client.entity.fx;
 
-// Referenced classes of package net.minecraft.src:
-//            EntityFX, World, TessellatorStandard
-
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.stitcher.IconCoordinate;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityFootStepFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityFootStepFX.java
index 541e7e733..c963bb2b9 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityFootStepFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityFootStepFX.java
@@ -1,14 +1,14 @@
 package net.minecraft.client.entity.fx;
 
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.client.render.RenderEngine;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
 //            EntityFX, MathHelper, World, RenderEngine, 
-//            TessellatorStandard
+//            Tessellator
 
 public class EntityFootStepFX extends EntityFX
 {
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityHeartFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityHeartFX.java
index 125fff9fc..9203ac7ff 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityHeartFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityHeartFX.java
@@ -1,11 +1,8 @@
 package net.minecraft.client.entity.fx;
 
 
-// Referenced classes of package net.minecraft.src:
-//            EntityFX, World, TessellatorStandard
-
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 
 public class EntityHeartFX extends EntityFX
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityItemFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityItemFX.java
index 576d4a826..81970aaa9 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityItemFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityItemFX.java
@@ -3,11 +3,11 @@ package net.minecraft.client.entity.fx;
 import net.minecraft.client.render.LightmapHelper;
 
 // Referenced classes of package net.minecraft.src:
-//            EntityFX, Item, Block, TessellatorStandard,
+//            EntityFX, Item, Block, Tessellator,
 //            World
 
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.world.World;
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityLavaFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityLavaFX.java
index 3c99ebee0..3e5fa659a 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityLavaFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityLavaFX.java
@@ -1,11 +1,11 @@
 package net.minecraft.client.entity.fx;
 
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 
 // Referenced classes of package net.minecraft.src:
-//            EntityFX, World, TessellatorStandard
+//            EntityFX, World, Tessellator
 
 public class EntityLavaFX extends EntityFX
 {
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityLeafFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityLeafFX.java
index 5ae6ea979..ef8643347 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityLeafFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityLeafFX.java
@@ -3,11 +3,11 @@ package net.minecraft.client.entity.fx;
 import net.minecraft.client.render.LightmapHelper;
 
 // Referenced classes of package net.minecraft.src:
-//            EntityFX, Block, TessellatorStandard, World
+//            EntityFX, Block, Tessellator, World
 
 import net.minecraft.client.render.block.color.BlockColorDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLeavesBase;
 import net.minecraft.core.world.World;
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityNoteFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityNoteFX.java
index 15de160e0..40c711c61 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityNoteFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityNoteFX.java
@@ -1,11 +1,8 @@
 package net.minecraft.client.entity.fx;
 
 
-// Referenced classes of package net.minecraft.src:
-//            EntityFX, MathHelper, World, TessellatorStandard
-
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityPickupFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityPickupFX.java
index b692a2103..fde4e3413 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityPickupFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityPickupFX.java
@@ -1,15 +1,15 @@
 package net.minecraft.client.entity.fx;
 
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.client.render.EntityRenderDispatcher;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
 //            EntityFX, Entity, MathHelper, World, 
-//            RenderManager, TessellatorStandard
+//            RenderManager, Tessellator
 
 public class EntityPickupFX extends EntityFX
 {
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityPortalFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityPortalFX.java
index 83f18f77b..2c61bf6be 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityPortalFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityPortalFX.java
@@ -1,11 +1,11 @@
 package net.minecraft.client.entity.fx;
 
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 
 // Referenced classes of package net.minecraft.src:
-//            EntityFX, World, TessellatorStandard
+//            EntityFX, World, Tessellator
 
 public class EntityPortalFX extends EntityFX
 {
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityRainFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityRainFX.java
index a83eb4894..1ed2b5a14 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityRainFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityRainFX.java
@@ -2,7 +2,7 @@ package net.minecraft.client.entity.fx;
 
 // Referenced classes of package net.minecraft.src:
 //            EntityFX, MathHelper, World, Material, 
-//            BlockFluid, TessellatorStandard
+//            BlockFluid, Tessellator
 
 import net.minecraft.client.render.stitcher.TextureRegistry;
 import net.minecraft.core.block.BlockFluid;
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityReddustFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityReddustFX.java
index 338ae8b97..b8b7026a5 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityReddustFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityReddustFX.java
@@ -1,11 +1,8 @@
 package net.minecraft.client.entity.fx;
 
 
-// Referenced classes of package net.minecraft.src:
-//            EntityFX, World, TessellatorStandard
-
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 
 public class EntityReddustFX extends EntityFX
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntitySlimeChunkFX.java b/src/main/java/net/minecraft/client/entity/fx/EntitySlimeChunkFX.java
index 0e678c61f..23facc8c6 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntitySlimeChunkFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntitySlimeChunkFX.java
@@ -2,11 +2,11 @@ package net.minecraft.client.entity.fx;
 
 
 // Referenced classes of package net.minecraft.src:
-//            EntityFX, Item, Block, TessellatorStandard,
+//            EntityFX, Item, Block, Tessellator,
 //            World
 
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.world.World;
 
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntitySmokeFX.java b/src/main/java/net/minecraft/client/entity/fx/EntitySmokeFX.java
index c9c64cdab..7be5cf5d0 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntitySmokeFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntitySmokeFX.java
@@ -1,11 +1,8 @@
 package net.minecraft.client.entity.fx;
 
 
-// Referenced classes of package net.minecraft.src:
-//            EntityFX, World, TessellatorStandard
-
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 
 public class EntitySmokeFX extends EntityFX
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntitySnowShovelFX.java b/src/main/java/net/minecraft/client/entity/fx/EntitySnowShovelFX.java
index 404de1596..09a612715 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntitySnowShovelFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntitySnowShovelFX.java
@@ -1,11 +1,8 @@
 package net.minecraft.client.entity.fx;
 
 
-// Referenced classes of package net.minecraft.src:
-//            EntityFX, World, TessellatorStandard
-
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 
 public class EntitySnowShovelFX extends EntityFX
diff --git a/src/main/java/net/minecraft/client/gui/Gui.java b/src/main/java/net/minecraft/client/gui/Gui.java
index 3f61e3c09..ccb531b48 100644
--- a/src/main/java/net/minecraft/client/gui/Gui.java
+++ b/src/main/java/net/minecraft/client/gui/Gui.java
@@ -5,8 +5,9 @@ import static org.lwjgl.opengl.GL11.*;
 import net.minecraft.client.lang.text.Text;
 import net.minecraft.client.render.FontRenderer;
 import net.minecraft.client.render.RenderEngine;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.stitcher.IconCoordinate;
+import net.minecraft.client.render.tessellator.Tessellator;
+
 import org.lwjgl.opengl.GL11;
 
 public class Gui
@@ -57,7 +58,7 @@ public class Gui
         float r = (float)(argb >> 16 & 0xff) / 255F;
         float g = (float)(argb >> 8 & 0xff) / 255F;
         float b = (float)(argb & 0xff) / 255F;
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         GL11.glEnable(GL_BLEND);
         GL11.glDisable(GL_TEXTURE_2D);
         GL11.glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
@@ -97,7 +98,7 @@ public class Gui
         float r = (float)(argb >> 16 & 0xff) / 255F;
         float g = (float)(argb >> 8 & 0xff) / 255F;
         float b = (float)(argb & 0xff) / 255F;
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         GL11.glDisable(GL_TEXTURE_2D);
         GL11.glColor4f(r, g, b, a);
         tessellator.startDrawingQuads();
@@ -116,7 +117,7 @@ public class Gui
     	float b = ((argb >>  0) & 0xFF) / 255f;
     	glColor4f(r, g, b, a);
     	glDisable(GL_TEXTURE_2D);
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertex(x, y, 0);
         tessellator.addVertex(x, y+height, 0);
@@ -140,7 +141,7 @@ public class Gui
         GL11.glDisable(GL_ALPHA_TEST);
         GL11.glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
         GL11.glShadeModel(GL_SMOOTH);
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.setColorRGBA_F(r1, g1, b1, a1);
         tessellator.addVertex(maxX, minY, 0.0D);
@@ -199,7 +200,7 @@ public class Gui
     {
         float uScale = 0.00390625F;
         float vScale = 0.00390625F;
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(x + 0, y + height, zLevel, (float)(u + 0) * uScale, (float)(v + height) * vScale);
         tessellator.addVertexWithUV(x + width, y + height, zLevel, (float)(u + width) * uScale, (float)(v + height) * vScale);
@@ -209,7 +210,7 @@ public class Gui
     }
     public void drawTexturedModalRect(int x, int y, int u, int v, int width, int height, double uScale, double vScale)
     {
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(x + 0, y + height, zLevel, (float)(u + 0) * uScale, (float)(v + height) * vScale);
         tessellator.addVertexWithUV(x + width, y + height, zLevel, (float)(u + width) * uScale, (float)(v + height) * vScale);
@@ -222,7 +223,7 @@ public class Gui
     {
         float uScale = 0.00390625F;
         float vScale = 0.00390625F;
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(x + 0, y + height, zLevel, (float)(u + 0) * uScale, (float)(v + uvHeight) * vScale);
         tessellator.addVertexWithUV(x + width, y + height, zLevel, (float)(u + uvWidth) * uScale, (float)(v + uvHeight) * vScale);
@@ -235,7 +236,7 @@ public class Gui
     {
         float uScale = scale;
         float vScale = scale;
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(x + 0, y + height, zLevel, (float)(u + 0) * uScale, (float)(v + uvWidth) * vScale);
         tessellator.addVertexWithUV(x + width, y + height, zLevel, (float)(u + uvWidth) * uScale, (float)(v + uvWidth) * vScale);
@@ -246,7 +247,7 @@ public class Gui
     public void drawTexturedIcon(int x, int y, int width, int height, IconCoordinate coordinate)
     {
         coordinate.parentAtlas.bindTexture();
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(x + 0,      y + height, zLevel, coordinate.getIconUMin(), coordinate.getIconVMax());
         tessellator.addVertexWithUV(x + width,  y + height, zLevel, coordinate.getIconUMax(), coordinate.getIconVMax());
diff --git a/src/main/java/net/minecraft/client/gui/GuiAchievement.java b/src/main/java/net/minecraft/client/gui/GuiAchievement.java
index dcb5ccfd9..b89c02760 100644
--- a/src/main/java/net/minecraft/client/gui/GuiAchievement.java
+++ b/src/main/java/net/minecraft/client/gui/GuiAchievement.java
@@ -2,7 +2,7 @@ package net.minecraft.client.gui;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.achievement.Achievement;
 import net.minecraft.core.item.Item;
@@ -149,7 +149,7 @@ public class GuiAchievement extends Gui
 
         GL11.glEnable(GL11.GL_DEPTH_TEST);
         Item achievementItem = Item.itemsList[theAchievement.itemId];
-        ItemModelDispatcher.getInstance().getDispatch(achievementItem).renderItemIntoGui(TessellatorStandard.instance, theGame.fontRenderer, theGame.renderEngine, achievementItem.getDefaultStack(), i + 8, j + 8, 1.0f);
+        ItemModelDispatcher.getInstance().getDispatch(achievementItem).renderItemIntoGui(Tessellator.instance, theGame.fontRenderer, theGame.renderEngine, achievementItem.getDefaultStack(), i + 8, j + 8, 1.0f);
         GL11.glDisable(GL11.GL_DEPTH_TEST);
 
         GL11.glDisable(GL12.GL_RESCALE_NORMAL);
diff --git a/src/main/java/net/minecraft/client/gui/GuiAchievements.java b/src/main/java/net/minecraft/client/gui/GuiAchievements.java
index 56f529dc5..158c0c779 100644
--- a/src/main/java/net/minecraft/client/gui/GuiAchievements.java
+++ b/src/main/java/net/minecraft/client/gui/GuiAchievements.java
@@ -5,9 +5,9 @@ import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
 import net.minecraft.client.render.entity.ItemEntityRenderer;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.stitcher.IconCoordinate;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.achievement.Achievement;
 import net.minecraft.core.achievement.AchievementList;
 import net.minecraft.core.achievement.stat.StatsCounter;
@@ -332,7 +332,7 @@ public class GuiAchievements extends GuiScreen
             GL11.glEnable(GL11.GL_LIGHTING);
             GL11.glEnable(GL11.GL_CULL_FACE);
             Item achievementItem = Item.itemsList[achievement3.itemId];
-            ItemModelDispatcher.getInstance().getDispatch(achievementItem).renderItemIntoGui(TessellatorStandard.instance, mc.fontRenderer, mc.renderEngine, achievementItem.getDefaultStack(), i6 + 3, k6 + 3, 1.0f);
+            ItemModelDispatcher.getInstance().getDispatch(achievementItem).renderItemIntoGui(Tessellator.instance, mc.fontRenderer, mc.renderEngine, achievementItem.getDefaultStack(), i6 + 3, k6 + 3, 1.0f);
             GL11.glDisable(GL11.GL_LIGHTING);
             if(!field_27120_x.isAchievementUnlockable(achievement3))
             {
diff --git a/src/main/java/net/minecraft/client/gui/GuiEditSign.java b/src/main/java/net/minecraft/client/gui/GuiEditSign.java
index 6b036baff..206a4003e 100644
--- a/src/main/java/net/minecraft/client/gui/GuiEditSign.java
+++ b/src/main/java/net/minecraft/client/gui/GuiEditSign.java
@@ -1,11 +1,11 @@
 package net.minecraft.client.gui;
 
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.enums.EnumSignPicture;
 import net.minecraft.core.util.helper.ChatAllowedCharacters;
 import net.minecraft.core.net.packet.Packet130UpdateSign;
 import net.minecraft.client.render.TileEntityRenderDispatcher;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.entity.TileEntitySign;
 import net.minecraft.core.lang.I18n;
 import org.lwjgl.input.Keyboard;
@@ -151,7 +151,7 @@ public class GuiEditSign extends GuiScreen
         {
             entitySign.lineBeingEdited = editLine;
         }
-        TileEntityRenderDispatcher.instance.renderTileEntity(TessellatorStandard.instance, entitySign, -0.5D, -0.75D, -0.5D, 0.0F);
+        TileEntityRenderDispatcher.instance.renderTileEntity(Tessellator.instance, entitySign, -0.5D, -0.75D, -0.5D, 0.0F);
         entitySign.lineBeingEdited = -1;
         GL11.glPopMatrix();
         
diff --git a/src/main/java/net/minecraft/client/gui/GuiHudDesigner.java b/src/main/java/net/minecraft/client/gui/GuiHudDesigner.java
index 7f30c253d..586e4e05e 100644
--- a/src/main/java/net/minecraft/client/gui/GuiHudDesigner.java
+++ b/src/main/java/net/minecraft/client/gui/GuiHudDesigner.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.gui;
 
 import net.minecraft.client.gui.hud.*;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
@@ -238,7 +238,7 @@ public class GuiHudDesigner
 
         drawHudComponents(mouseX, mouseY);
 
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         GL11.glDisable(GL_DEPTH_TEST);
         GL11.glDisable(GL_TEXTURE_2D);
         tessellator.startDrawingQuads();
@@ -266,7 +266,7 @@ public class GuiHudDesigner
         super.drawBackground();
         GL11.glDisable(GL11.GL_LIGHTING);
         GL11.glDisable(GL11.GL_FOG);
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/designer_bg.png"));
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         float scale = 32F;
